Package org.apache.sling.maven.feature.launcher

# Class LauncherArguments

java.lang.Object
org.apache.sling.maven.feature.launcher.LauncherArguments

public class LauncherArguments extends Object

## Constructor Summary

Constructors
Constructor
Description
`LauncherArguments()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getFrameworkProperties()`
`Map<String,String>`
`getVariables()`
`String[]`
`getVmOptions()`
`void`
`setFrameworkProperties(Map<String,String> frameworkProperties)`
`void`
`setVariables(Map<String,String> variables)`
`void`
`setVmOptions(String[] vmOptions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LauncherArguments

public LauncherArguments()

## Method Details

### getVmOptions

public String[] getVmOptions()

### setVmOptions

public void setVmOptions(String[] vmOptions)

### getFrameworkProperties

public Map<String,String> getFrameworkProperties()

### setFrameworkProperties

public void setFrameworkProperties(Map<String,String> frameworkProperties)

### getVariables

public Map<String,String> getVariables()

### setVariables

public void setVariables(Map<String,String> variables)